GoldenSpiral Class Reference
Example scripts (models)

Example: Golden spiral More...

## Public Member Functions

| GoldenSpiral (const Options &opt)
| Actual model.
| GoldenSpiral (GoldenSpiral &p)
| Constructor for cloning p.
virtual Space * | copy (void)
| Copy during cloning.
virtual FloatVar | cost (void) const
| Cost function.
virtual void | print (std::ostream &os) const
| Print solution coordinates.
Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::ExtractStepOption< FloatMaximizeSpace > >
| ScriptBase (const Options &opt)
| Constructor.
| ScriptBase (ScriptBase &e)
| Constructor used for cloning.
virtual void | compare (const Space &home, std::ostream &os) const
| Compare with s.
Public Member Functions inherited from Gecode::Driver::ExtractStepOption< BaseSpace >
| ExtractStepOption (const Options &opt)
| Constructor that extracts the step value.
| ExtractStepOption (BaseSpace &e)
| Constructor used for cloning.

## Protected Attributes

FloatVarArray | f
| The numbers.

## Related Symbols

(Note that these are not member symbols.)
int | main (int argc, char *argv[])
| Main-function.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::ExtractStepOption< FloatMaximizeSpace > >
static std::ostream & | select_ostream (const char *sn, std::ofstream &ofs)
| Choose output stream according to sn.
static void | run (const Options &opt, Script *s=NULL)

## Detailed Description

Example: Golden spiral

The Golden Spiral is a logarithmic spiral whose growth factor is the golden ratio .

It is defined by the polar equation:

where

To get cartesian coordinates, it can be solved for and in terms of and . By setting , it yields to the equation:

with

The tuple is related to the position for and on the curve. and are positive numbers.

To get reasonable interval starting sizes, and are restricted to .

Definition at line 77 of file golden-spiral.cpp.

## Constructor & Destructor Documentation

## GoldenSpiral() [1/2]

GoldenSpiral::GoldenSpiral | ( | const Options & | opt | ) |

inline

Actual model.

Definition at line 83 of file golden-spiral.cpp.

## GoldenSpiral() [2/2]

GoldenSpiral::GoldenSpiral | ( | GoldenSpiral & | p | ) |

inline

Constructor for cloning p.

Definition at line 99 of file golden-spiral.cpp.

## Member Function Documentation

## copy()

virtual Space * GoldenSpiral::copy | ( | void |  | ) |

inline virtual

Copy during cloning.

Definition at line 104 of file golden-spiral.cpp.

## cost()

virtual FloatVar GoldenSpiral::cost | ( | void |  | ) | const

inline virtual

Cost function.

Definition at line 108 of file golden-spiral.cpp.

## print()

virtual void GoldenSpiral::print | ( | std::ostream & | os | ) | const

inline virtual

Print solution coordinates.

Reimplemented from Gecode::Driver::ScriptBase< Driver::ExtractStepOption< FloatMaximizeSpace > >.

Definition at line 112 of file golden-spiral.cpp.

## Friends And Related Symbol Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

related

Main-function.

Definition at line 122 of file golden-spiral.cpp.

## Member Data Documentation

## f

FloatVarArray GoldenSpiral::f

protected

The numbers.

Definition at line 80 of file golden-spiral.cpp.

The documentation for this class was generated from the following file:

- examples/golden-spiral.cpp